edu.sc.seis.sod.status

## Class StringTreeBranch

- java.lang.Object
- - edu.sc.seis.sod.status.StringTree
  - - edu.sc.seis.sod.status.StringTreeBranch

-     public class StringTreeBranch
      extends StringTree

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StringTree[]` | `branches`

    - ### Fields inherited from class edu.sc.seis.sod.status.StringTree

      `actorName, FAIL, OK, status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTreeBranch(java.lang.Object actor, boolean status, StringTree branch)`
    `StringTreeBranch(java.lang.Object actor, boolean status, StringTree[] branches)`
    `StringTreeBranch(java.lang.String actorName, boolean status, StringTree[] branches)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString(int indentationLevel)`

    - ### Methods inherited from class edu.sc.seis.sod.status.StringTree

      `getIndent, isSuccess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### branches

          protected StringTree[] branches

  - ### Constructor Detail

    - #### StringTreeBranch

          public StringTreeBranch(java.lang.Object actor,
                                  boolean status,
                                  StringTree branch)

    - #### StringTreeBranch

          public StringTreeBranch(java.lang.Object actor,
                                  boolean status,
                                  StringTree[] branches)

    - #### StringTreeBranch

          public StringTreeBranch(java.lang.String actorName,
                                  boolean status,
                                  StringTree[] branches)

  - ### Method Detail

    - #### toString

          public java.lang.String toString(int indentationLevel)

      Overrides:
        `toString` in class `StringTree`